Subject: [ipcdn] CM pkts counts on the CMTS

From: Murwin William-LWM008 <[email-masked]>
Date: Fri, 23 May 2003 17:15:25 -0400

While writing DOCS-IETF-QOS-MIB version 9, I find myself still thinking about Minnie suggestion of having  docsIfCmtsServiceInPackets and docsIfCmtsServiceInOctets count for DOCSIS 1.1 and 2.0. Even though the QOS MIB has pawned off this discussion, I have had some thoughts on the subject.

(1) If these counters where used to count the DOCSIS 1.1 and 2.0, than this would the best place in all of the mibs to
    get a quick summary of the upstream data received by a particular modem, no matter the version.

(2) At the same time, The rest of the docsIfCmtsCmServiceTable might not make sense for DOCSIS 1.1 or 2.0

However the more I looked around at the different counters that existed in all of MIB required by DOCSIS, the more I kept looking for an overall counter on the CMTS to count data packet received and transmitted for a particular CM. 

I would like to start a discussion on about adding 4 new object to the docsIfCmtsCmStatusTable:

docsIfCmtsCmStatusInPackets 
docsIfCmtsCmStatusInOctets
docsIfCmtsCmStatusOutPackets
docsIfCmtsCmStatusOutoctets

While I understand that these counts can be gathered by via numerous objects on both the CMTS and CM and then just appling simple math. However I want to query only one agent and just get a quick summary without have to determine which version of DOCSIS the modem is, which will determine which mibs I look etc.
and objects I query.

For example if I want query only one agent(i.e. the CMTS) and get the number of transmitted and received data for each CM, then 

	(1) GET-NEXT the docsIfCmtsCmStatusRegMode to see what version of DOCSIS this modem is operting 

	if 'docsis10(1)' then 
			(2) WALK the entire docsIfCmtsServiceTable for ifIndex and SID that
	                have docsIfCmtsServiceNewCmStatusIndex that matches the index for step (1).
	
			(3) Add the all the instances of docsIfCmtsServiceInPacket for the
	                ifIndex and SIDs that match from step(2) to get the total Received packets from a CM.

			NOTE: Not sure it is possible to get from a CMTS agent from the Standard MIBs the number of 
	                  of packets transmitted to a single docsis 1.0 cable modem.

	else if 'docsis11(2)' or 'docsis20()' then
			(2) WALK the docsQosCmtsMacToSrvFlowTable all for the instances of that contain the
	                same mac address.
			(3) Then GET the docQosServiceFlowPkts using the ifIndex and
                      service flow id from step(2). Add this to the total of received or transmitted for this CM.
			    To determine the direction of the flow use the same index and query the docsQosServiceFlowDirection.

This seems very complicated for something so simple. This is just a suggestion of simple way the RF MIB v2 can correct the mistakes of the past. 	 

-----Original Message-----
From: Minnie Lu [mailto:[email-masked]]
Sent: Tuesday, May 06, 2003 4:43 PM
To: Murwin William-LWM008
Cc: 'Minnie Lu'; [email-masked];
[email-masked]; IPCDN (E-mail) (E-mail); Michael W. Patrick
(E-mail); David Raftus (E-mail)
Subject: RE: sid counter inconsistent between
draft-ietf-ipcdn-qos-mib-08. txt and DOCS-IF-MIB ?

Hi, Will,

   Thanks a lot ! I also hope that "the issue could be re-discussed and 
whatever conclusion is reached, can be document in the description of those 
objects."

    Appreciate your help !
    Thanks !
    Minnie

At 03:22 PM 5/6/2003 -0400, Murwin William-LWM008 wrote:
>Minnie,
>
>         After much consideration, DOCSIS QOS MIB version 9 will remove 
> the text from section Section 2.2.2.1 Interoperation with DOCSIS 1.0:
>
>5.  At the CMTS, the Docsis 1.0 MIB objects
>     docsIfCmtsServiceInPackets and docsIfCmtsServiceInOctets for a
>     SID assigned to a Docsis 1.1 or Docsis 2.0 modem count only the
>     pre-registration packets/bytes of those modems."
>
>This is not an issue for the QOS MIB. The QOS MIB tried to handle
>DOCSIS 1.1 changes to RFC2670. Now that rfc2670 is being obsoleted, the 
>rf-mib v2 and the DOCSIS OSS Specs is the place
>that should clearly state how these counters and other tables interact in 
>DOCSIS 1.0, DOCSIS 1.1, and DOCSIS 2.0.
>
>I would even hope to see a section in the rf-mib v2, "Interoperation with 
>the version of DOCSIS" like or to replace
>what the DOCSIS QOS MIB has. This is the place to describe what table are 
>populated under the docsIfMib when the
>the modems are registering.
>
>This way this issue can be re-discussed and whatever conculsion is 
>reached, can be document in the description of those
>objects.
>
>Sincerely,
>Will Murwin
>
>-----Original Message-----
>From: Minnie Lu [mailto:[email-masked]]
>Sent: Thursday, March 20, 2003 4:16 PM
>To: [email-masked]; [email-masked]
>Cc: [email-masked]
>Subject: sid counter inconsistent between
>draft-ietf-ipcdn-qos-mib-08.txt and DOCS-IF-MIB ?
>
>
>Hi,
>
>    Since I have not yet got any reason for the sid counter
>inconsistence,  I would like to raise this issue again and hope this time,
>people will reconsider it.
>
>In draft-ietf-ipcdn-qos-mib-08.txt,
>
>1. Section 2.2.2.1 Interoperation with DOCSIS 1.0
>         "5.  At the CMTS, the Docsis 1.0 MIB objects
>           docsIfCmtsServiceInPackets and docsIfCmtsServiceInOctets for a
>           SID assigned to a Docsis 1.1 or Docsis 2.0 modem count only the
>           pre-registration packets/bytes of those modems."
>
>           Maybe I miss some discussion before.  If there was some
>discussion before, please excuse me to bring this up again because I really
>don't understand why this is necessary to enforce this rule. SID concept is
>still applicable to DOCSIS1.1 or 2.0.  The MIB objects
>docsIfCmtsServiceInPackets and docsIfCmtsServiceInOctets definitions look
>good to me even for DOCSIS1.1 or 2.0.
>
>     docsIfCmtsServiceInOctets OBJECT-TYPE
>              "The cumulative number of Packet Data octets received
>               on this Service ID. The count does not include the
>               size of the Cable MAC header"
>
>     docsIfCmtsServiceInPackets OBJECT-TYPE
>              "The cumulative number of Packet Data packets received
>               on this Service ID."
>
>     From the description, it seems to me that they will count all the
>traffic including pre-registration and post-registration received on this
>Service ID no matter that this Service ID associates with DOCSIS1.0 or
>DOCSIS1.1 or DOCSIS2.0 CMs.  So they are consistent for various version of
>CMs mode.
>
>     Also, in the same section, item 3 .
>          "The docsIfCmServiceTable row for the DOCSIS 1.1 or DOCSIS 2.0 modem
>           continues to exist, and the various statistic objects in that
>           row are incremented."
>
>     It sounds to me the item 4 is inconsistent with item 3 above.  For the
>same MIB object, it counts differently in CM and CMTS for the SIDs
>associated with DOCSIS1.1 CMs.   I think it is good to keep CM and CMTS the
>same as described in item 3.
>
>     Also when customer queries the docsIfCmtsServiceTable, the customer
>might wonder why some entries have low count and not aware of they are for
>the SID belongs to CM in DOCSIS1.1 mode.
>
>I noticed this is not in version 4.  From v5, it starts having such 
>statements.
>
>Thanks !
>Minnie
_______________________________________________
IPCDN mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ipcdn

---

From: Minnie Lu <[email-masked]>
Date: Tue, 27 May 2003 18:05:22 -0700

Hi, William,

It will certainly help to have traffic counters per CM for all kinds of CM 
registration DOCSIS mode. From my personal experience, some customers even 
want those counters remain across CM reset (offline/online) and as long as 
the CM is still in CMTS' database, these counters remains though the CM is 
offline.

Thanks !
Minnie

At 05:15 PM 5/23/2003 -0400, Murwin William-LWM008 wrote:
>While writing DOCS-IETF-QOS-MIB version 9, I find myself still thinking 
>about Minnie suggestion of having  docsIfCmtsServiceInPackets and 
>docsIfCmtsServiceInOctets count for DOCSIS 1.1 and 2.0. Even though the 
>QOS MIB has pawned off this discussion, I have had some thoughts on the 
>subject.
>
>(1) If these counters where used to count the DOCSIS 1.1 and 2.0, than 
>this would the best place in all of the mibs to
>However the more I looked around at the different counters that existed in 
>all of MIB required by DOCSIS, the more I kept looking for an overall 
>counter on the CMTS to count data packet received and transmitted for a 
>particular CM.
>
>While I understand that these counts can be gathered by via numerous 
>objects on both the CMTS and CM and then just appling simple math. However 
>I want to query only one agent and just get a quick summary without have 
>to determine which version of DOCSIS the modem is, which will determine 
>which mibs I look etc.
>and objects I query.
>
>For example if I want query only one agent(i.e. the CMTS) and get the 
>number of transmitted and received data for each CM, then
>
>                         NOTE: Not sure it is possible to get from a CMTS 
> agent from the Standard MIBs the number of
>                             To determine the direction of the flow use 
> the same index and query the docsQosServiceFlowDirection.
>
>
>This seems very complicated for something so simple. This is just a 
>suggestion of simple way the RF MIB v2 can correct the mistakes of the 
>past.
>
>
>